"""SSH terminal manager."""

from terminal_manager import (
    ACTION_NAMES,
    DEFAULT_ALLOW_TURN_OFF,
    DEFAULT_COMMAND_TIMEOUT,
    DEFAULT_CONNECT_TIMEOUT,
    DEFAULT_DISCONNECT_MODE,
    DEFAULT_DISCONNECT_MODE_DELAY,
    DEFAULT_TURN_OFF_TIMEOUT,
    DEFAULT_TURN_ON_TIMEOUT,
    PLACEHOLDER_KEY,
    SENSOR_NAMES,
    ActionCommand,
    ActionKey,
    AuthenticationError,
    BinarySensor,
    Collection,
    Command,
    CommandError,
    CommandOutput,
    ConnectError,
    Event,
    ExecutionError,
    Manager,
    ManagerError,
    NameKeyError,
    NumberSensor,
    OfflineError,
    Request,
    Sensor,
    SensorCommand,
    SensorError,
    SensorKey,
    State,
    TextSensor,
    VersionSensor,
    default_collections,
)

from .error import HostKeyUnknownError
from .manager import SSHManager
from .terminal import (
    DEFAULT_ADD_HOST_KEYS,
    DEFAULT_INVOKE_SHELL,
    DEFAULT_LOAD_SYSTEM_HOST_KEYS,
    DEFAULT_PING_TIMEOUT,
    DEFAULT_PORT,
    DEFAULT_SSH_TIMEOUT,
    SSHTerminal,
)

__all__ = [
    "ACTION_NAMES",
    "DEFAULT_ALLOW_TURN_OFF",
    "DEFAULT_COMMAND_TIMEOUT",
    "DEFAULT_CONNECT_TIMEOUT",
    "DEFAULT_DISCONNECT_MODE",
    "DEFAULT_DISCONNECT_MODE_DELAY",
    "DEFAULT_TURN_OFF_TIMEOUT",
    "DEFAULT_TURN_ON_TIMEOUT",
    "PLACEHOLDER_KEY",
    "SENSOR_NAMES",
    "ActionCommand",
    "ActionKey",
    "AuthenticationError",
    "BinarySensor",
    "Collection",
    "Command",
    "CommandError",
    "CommandOutput",
    "ConnectError",
    "Event",
    "ExecutionError",
    "Manager",
    "ManagerError",
    "NameKeyError",
    "NumberSensor",
    "OfflineError",
    "Request",
    "Sensor",
    "SensorCommand",
    "SensorError",
    "SensorKey",
    "State",
    "TextSensor",
    "VersionSensor",
    "HostKeyUnknownError",
    "SSHManager",
    "DEFAULT_ADD_HOST_KEYS",
    "DEFAULT_INVOKE_SHELL",
    "DEFAULT_LOAD_SYSTEM_HOST_KEYS",
    "DEFAULT_PING_TIMEOUT",
    "DEFAULT_PORT",
    "DEFAULT_SSH_TIMEOUT",
    "SSHTerminal",
    "default_collections",
]
